<?php

namespace App\Http\Requests\Admin\HR;

use Illuminate\Foundation\Http\FormRequest;

class AttendanceRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'photo' => ['required'],
            'latitude' => ['required', 'numeric'],
            'longitude' => ['required', 'numeric'],
        ];
    }

    public function attributes(): array
    {
        return [
            'photo' => 'foto',
            'latitude' => 'lintang',
            'longitude' => 'bujur',
        ];
    }
}
